
%global meadversion 4.3.5
%global namedversion 4.3.5.Final-redhat-00003
%global meadalpha .Final_redhat_00003
%global meadrel .1
%global serial 2
%global namedversionrel redhat-00003

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package protostream}
%{!?scl:%global pkg_name %{name}}

%define maven_version 4.3.5.Final-redhat-00003

Name:           %{?scl_prefix}protostream
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        ProtoStream is a serialization library based on Protocol buffers format for serializing structured data
License:        ASL 2.0
Group:          Development/Java

%if %with mead
Source100: protostream-aggregator-4.3.5.Final-redhat-00003-project-sources.tar.gz
Source102: sample-domain-definition-4.3.5.Final-redhat-00003-sources.jar
Source103: protostream-processor-4.3.5.Final-redhat-00003-test-sources.jar
Source104: parent-4.3.5.Final-redhat-00003.pom
Source105: sample-domain-definition-4.3.5.Final-redhat-00003.jar
Source106: protostream-4.3.5.Final-redhat-00003-sources.jar
Source107: protostream-integrationtests-4.3.5.Final-redhat-00003-sources.jar
Source108: protostream-integrationtests-4.3.5.Final-redhat-00003.jar
Source109: protostream-processor-4.3.5.Final-redhat-00003.jar
Source110: sample-domain-definition-4.3.5.Final-redhat-00003.pom
Source111: protostream-4.3.5.Final-redhat-00003-javadoc.jar
Source112: protostream-4.3.5.Final-redhat-00003-tests.jar
Source113: protostream-processor-4.3.5.Final-redhat-00003-tests.jar
Source114: sample-domain-implementation-4.3.5.Final-redhat-00003-sources.jar
Source115: protostream-integrationtests-4.3.5.Final-redhat-00003-test-sources.jar
Source116: protostream-4.3.5.Final-redhat-00003-test-sources.jar
Source117: protostream-processor-4.3.5.Final-redhat-00003-sources.jar
Source118: protostream-4.3.5.Final-redhat-00003.pom
Source119: protostream-processor-4.3.5.Final-redhat-00003-javadoc.jar
Source120: protostream-integrationtests-4.3.5.Final-redhat-00003.pom
Source121: sample-domain-implementation-4.3.5.Final-redhat-00003.jar
Source122: protostream-4.3.5.Final-redhat-00003.jar
Source123: protostream-processor-4.3.5.Final-redhat-00003.pom
Source124: protostream-aggregator-4.3.5.Final-redhat-00003.pom
Source125: protostream-4.3.5.Final-redhat-00003-features.xml
Source126: sample-domain-implementation-4.3.5.Final-redhat-00003.pom
%endif

URL:            https://github.com/infinispan/protostream
BuildRoot:      %{_tmppath}/protostream-%{version}-%{release}-root
BuildArch:      noarch

%description
ProtoStream is a serialization library based on Protocol buffers format for serializing structured data.

%if %with javadoc
%package javadoc
Group:          Documentation

Summary:        Javadoc for protostream
BuildRequires:  unzip

%description javadoc
API documentation for protostream.
%endif

%prep
%setup -q -n protostream-aggregator-%{namedversion} -T -b 100

%build

%install
rm -rf %{buildroot}

install -d -m 0755 %{buildroot}%{_javadir}
install -p -m 0644 %{_sourcedir}/protostream-%{namedversion}.jar %{buildroot}%{_javadir}/protostream-%{namedversion}.jar
install -p -m 0644 %{_sourcedir}/protostream-%{namedversion}-sources.jar %{buildroot}%{_javadir}/protostream-%{namedversion}-sources.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/protostream-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/protostream-%{namedversion}-javadoc.jar
%endif
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do ln -s ${jar} `echo $jar| sed "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/protostream-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/protostream-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/protostream-%{namedversion} -x META-INF/\*
%{__ln_s} protostream-%{namedversion} %{buildroot}%{_javadocdir}/protostream
%endif

%clean
rm -rf %{buildroot}

%files -n %{?scl_prefix}protostream
%defattr(0644,root,root,0755)
%doc LICENSE.md README.md GSON_LICENSE.txt PROTOBUF_LICENSE.txt PROTOPARSER_LICENSE.txt
%{_javadir}/protostream-%{namedversion}.jar
%{_javadir}/protostream.jar
%{_javadir}/protostream-%{namedversion}-sources.jar
%{_javadir}/protostream-sources.jar
%if %with javadoc
%{_javadir}/protostream-%{namedversion}-javadoc.jar
%{_javadir}/protostream-javadoc.jar
%endif

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/protostream-%{namedversion}
%{_javadocdir}/protostream
%endif


%changelog
* Tue Jul 04 2023 cpaas-ops <cpaas-ops@redhat.com> - 4.3.5-2.Final_redhat_00003.1
- Built by CPaaS

* Fri Mar 12 2021 Yong Yang <yyang@redhat.com> - 4.3.5-1.Final_redhat_00001.1
- 4.3.5.Final-redhat-00001

* Tue Nov 03 2020 Permaine Cheung <pcheung@redhat.com> - 4.3.4-1.Final_redhat_00001.1
- 4.3.4.Final-redhat-00001

* Fri Aug 28 2020 Yong Yang <yyang@redhat.com> - 4.3.2-1.Final_redhat_00003.1
-  4.3.2.Final-redhat-00003

* Mon Aug 17 2020 Yong Yang <yyang@redhat.com> - 4.3.2-1.Final_redhat_00003.1
- Init build
